function wekaObj = GetWekaDataset(independent, dependent)

% (1) Merge independent and dependent data

dataset = horzcat(independent, dependent);

% (2) Generate feature names

[rows columns] = size(dataset);
featureNames = cell(1, columns);
for column = 1:columns
    featureNames{1, column} = 'variable';
end

% (3) Transform dataset into Weka format

wekaObj = matlab2weka('dataset', featureNames, dataset);