function predicted = JRip(independentTest, independentTraining, dependentTraining, dependentTest)

% Example of using matlab2weka - applying M5 model tree on training and
% test data set (in)dependentTest and (in)dependentTraining
% dependent data is the predicted class or variable
% independent data are the attributes or predictive variables

wekaTrainingObj = GetWekaDataset(independentTraining, dependentTraining);
wekaClassifier = trainWekaClassifier(wekaTrainingObj,'rules.JRip');
wekaTestObj = GetWekaDataset(independentTest, dependentTest);
[predictedClass, predicted] = wekaClassify(wekaTestObj, wekaClassifier);
