function wekaObj = applyWekaFilter(wekaOriginalObj,filter,options)

%% Wouter Verbeke - 17-11-2009 - K.U.Leuven FEB LIRIS

% argument options contains the indices of the variables to be removed,
% e.g.: options = {'-R' '1'} to remove the first variable

%% Original Java code
%  import weka.core.Instances;
%  import weka.filters.Filter;
%  import weka.filters.unsupervised.attribute.Remove;
%  ...
%  String[] options = new String[2];
%  options[0] = "-R";                                    // "range"
%  options[1] = "1";                                     // first attribute
%  Remove remove = new Remove();                         // new instance of filter
%  remove.setOptions(options);                           // set options
%  remove.setInputFormat(data);                          // inform filter about dataset **AFTER** setting options
%  Instances newData = Filter.useFilter(data, remove);   // apply filter

%% Matlab code
filter = javaObject(filter);
filter.setOptions(options);
filter.setInputFormat(wekaOriginalObj);
wekaObj = filter.useFilter(wekaOriginalObj, filter);

