%% Wouter Verbeke - 08/02/2011 - KUL/FEB/LIRIS
%% This function loads an arff file, and writes it back to an arff file
%% this makes all the values of the attributes to be numerical, from 0 to 1

function loadSaveArff(inputfile,outputfile)

wekaObj = loadARFF(inputfile);
[data,featureNames,targetNDX,~,relationName] = weka2matlab(wekaObj);
wekaOBJ = matlab2weka2(relationName, featureNames, data,targetNDX);
saveARFF(outputfile,wekaOBJ);