function matlab2arff(data,inputFile,outputFile)

%% Wouter Verbeke - 20/01/2011 - KUL/FEB/LIRIS
% Write data to arff outputFile with same heading as original inputFile -
% current matlab2weka function converts all attributes to numeric type.

%% Be aware that orginal heading of inputFile is accurate! Matlab converts
% values of categorical attributes to 0,1,2,..,nrValues!!!

%% Manual Input
% inputFile = 'C:\Users\n08099\Documents\Monotonicity\Data\Experimental data sets\V2\balance.v.1.arff';
% outputFile = 'C:\Users\n08099\Documents\Monotonicity\Data\Experimental data sets\V2\balance.v.1.1.arff';
% data = [1 2 3;4 5 6];

fid = fopen(inputFile);
s = textscan(fid,'%s','delimiter','\n');
fclose(fid);
for i = 1:size(s{1,1},1)
    TF = strfind(s{1,1}{i,1},'@data');
    if TF
        lineStop = i;
        break
    end
end

dlmwrite(outputFile,s{1,1}{1,1},'delimiter','');
for i = 2:lineStop
    dlmwrite(outputFile,s{1,1}{i,1},'-append','delimiter','');
end
dlmwrite(outputFile,data,'-append','delimiter',',');

